> ## Documentation Index
> Fetch the complete documentation index at: https://aspect.inc/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Asset Download Data

> Get a signed URL for a user-initiated asset file download.



## OpenAPI

````yaml /api-reference/openapi.json get /assets/{asset_id}/download
openapi: 3.1.0
info:
  title: Aspect Platform API
  description: A FastAPI application for Aspect Platform functionality
  version: 0.0.0
servers:
  - url: https://api.aspect.inc
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /assets/{asset_id}/download:
    get:
      tags:
        - Assets
      summary: Get Asset Download Data
      description: Get a signed URL for a user-initiated asset file download.
      operationId: get_Assets_assets_asset_id_download
      parameters:
        - name: asset_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Asset ID
            description: The ID of the asset to download
          description: The ID of the asset to download
        - name: name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Name
            description: The name of the asset to download
          description: The name of the asset to download
        - name: variant
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/AssetStorageVariant'
            title: Variant
            description: >-
              Storage variant for a direct file download. ORIGINAL downloads the
              asset's original file.
            default: original
          description: >-
            Storage variant for a direct file download. ORIGINAL downloads the
            asset's original file.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetDownloadGetResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AssetStorageVariant:
      type: string
      enum:
        - original
        - stream_proxy
        - audio_proxy
        - model_proxy
        - scrub_proxy
        - scrub_proxy_redacted
        - scrub_preview
        - scrub_preview_redacted
        - preview
        - doc_proxy
      title: AssetStorageVariant
    AssetDownloadGetResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Resource identifier
        url:
          type: string
          title: Url
          description: Presigned URL for upload or download
        url_expires_at:
          type: string
          format: date-time
          title: Url Expires At
          description: UTC datetime when the URL expires
      type: object
      required:
        - id
        - url
        - url_expires_at
      title: AssetDownloadGetResponse
      description: API response schema for direct asset file download URLs.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT in Authorization header. 'Bearer ' prefix optional.
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

````